#!/bin/sh

#gpu=2
#
#for rulelen in 2 3;
#do
#  for numrule in 1;
#  do
#    echo "******************************"
#    echo "model: RotatE"
#    echo "dataset: FB15k-237"
#    echo "rule length: $rulelen"
#    echo "num of rules: $numrule"
#    echo "******************************"
#    CUDA_VISIBLE_DEVICES=$gpu python -u codes/runs.py --do_train \
#            --do_valid \
#            --do_test \
#            --data_path ./data/FB15k-237 \
#            --model RotatE \
#            -n 256 -b 1024 -d 1000 \
#            -g 9.0 -a 1.0 \
#            -lr 0.00005 --max_steps 20000 \
#            -save ./models/RotatE_FB15k-237_rulelen${rulelen}_numrule${numrule}_newloss \
#            --rule_length ${rulelen} --num_rules ${numrule} \
#            --test_batch_size 16 -init ../KGE/models/RotatE_FB15k-237_0
#  done
#done

gpu=1

for rulelen in 2 3;
do
  for numrule in 1;
  do
    echo "******************************"
    echo "model: RotatE"
    echo "dataset: FB15k-237"
    echo "rule length: $rulelen"
    echo "num of rules: $numrule"
    echo "******************************"
    CUDA_VISIBLE_DEVICES=$gpu python -u codes/runs.py \
            --do_explain \
            --data_path ./data/FB15k-237 \
            --model RotatE \
            -n 256 -b 1024 -d 1000 \
            -g 9.0 -a 1.0 \
            -lr 0.00005 --max_steps 20000 \
            -save ./models/RotatE_FB15k-237_rulelen${rulelen}_numrule${numrule}_newloss \
            --rule_length ${rulelen} --num_rules ${numrule} \
            --test_batch_size 16 -init ../KGE/models/RotatE_FB15k-237_0
  done
done